Bullet Collision Detection & Physics Library: gim_pair_set Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
gim_pair_set Class Reference

A pairset array. More...

`#include <gim_box_set.h>`

Inheritance diagram for gim_pair_set:
[legend]
Collaboration diagram for gim_pair_set:
[legend]

## Public Member Functions
| gim_pair_set ()
void | push_pair (GUINT index1, GUINT index2)
void | push_pair_inv (GUINT index1, GUINT index2)
Public Member Functions inherited from gim_array< GIM_PAIR >
void | destroyData ()
| protected operations
bool | resizeData (GUINT newsize)
bool | growingCheck ()
bool | reserve (GUINT size)
| public operations
void | clear_range (GUINT start_range)
void | clear ()
void | clear_memory ()
| gim_array ()
| gim_array (GUINT reservesize)
| ~gim_array ()
GUINT | size () const
GUINT | max_size () const
GIM_PAIR & | operator[] (size_t i)
const GIM_PAIR & | operator[] (size_t i) const
GIM_PAIR * | pointer ()
const GIM_PAIR * | pointer () const
GIM_PAIR * | get_pointer_at (GUINT i)
const GIM_PAIR * | get_pointer_at (GUINT i) const
GIM_PAIR & | at (GUINT i)
const GIM_PAIR & | at (GUINT i) const
GIM_PAIR & | front ()
const GIM_PAIR & | front () const
GIM_PAIR & | back ()
const GIM_PAIR & | back () const
void | swap (GUINT i, GUINT j)
void | push_back (const GIM_PAIR &obj)
void | push_back_mem ()
| Simply increase the m_size, doesn't call the new element constructor.
void | push_back_memcpy (const GIM_PAIR &obj)
void | pop_back ()
void | pop_back_mem ()
| Simply decrease the m_size, doesn't call the deleted element destructor.
void | erase (GUINT index)
| fast erase
void | erase_sorted_mem (GUINT index)
void | erase_sorted (GUINT index)
void | insert_mem (GUINT index)
void | insert (const GIM_PAIR &obj, GUINT index)
void | resize (GUINT size, bool call_constructor=true, const GIM_PAIR &fillData=GIM_PAIR())
void | refit ()

## Additional Inherited Members
Public Attributes inherited from gim_array< GIM_PAIR >
GIM_PAIR * | m_data
| properties
GUINT | m_size
GUINT | m_allocated_size

## Detailed Description

A pairset array.

Definition at line 43 of file gim_box_set.h.

## Constructor & Destructor Documentation

## ◆ gim_pair_set()

gim_pair_set::gim_pair_set | ( |  | ) |
| inline

Definition at line 46 of file gim_box_set.h.

## Member Function Documentation

## ◆ push_pair()

void gim_pair_set::push_pair | ( | GUINT | index1,
|  | GUINT | index2
| ) |  |
| inline

Definition at line 49 of file gim_box_set.h.

## ◆ push_pair_inv()

void gim_pair_set::push_pair_inv | ( | GUINT | index1,
|  | GUINT | index2
| ) |  |
| inline

Definition at line 54 of file gim_box_set.h.

The documentation for this class was generated from the following file:

- gim_box_set.h